<?php
/**
 * Handle admin area routing.
 *
 * This file is used for admin routing aspects of the plugin.
 *
 * @link       https://wp-deployer.io
 * @since      1.0.0
 *
 * @package    WP_Deployer
 * @subpackage WP_Deployer/includes
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Handles tabs in Admin area.
 *
 * @param string|null $tab The tab to display.
 */
function deploy_sync_content__handle_tabs_routing( array $route ): void {
	do_action( 'deploy_sync_content__route_access_pre_check', $route );

	$handle_route_callback = $route['handle_route_callback'] ?? null;
	is_callable( $handle_route_callback ) && call_user_func( $handle_route_callback, $route );
}
